# $Revision: 1.1 $, $Date: 2008-02-05 01:29:25 $
Summary:	C library for parsing, writing and creating XML files or streams.
Summary(pl.UTF-8):	Biblioteka obsługująca parsowanie, tworzenie i zapisywanie plików i strumieni XML
Name:		libnxml
Version:	0.18.1
Release:	1
License:	LGPL v2
Group:		Development/Libraries
Source0:	http://www.autistici.org/bakunin/libnxml/%{name}-%{version}.tar.gz
# Source0-md5:	5a813c169bb72e65ba3336735382a4eb
URL:		http://www.autistici.org/bakunin/libnxml/
BuildRequires:      autoconf
BuildRequires:      automake
BuildRequires:      libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nXML is a C library for parsing, writing and creating XML 1.0 and 1.1 files or
streams. It supports utf-8, utf-16be and utf-16le, ucs-4 (1234, 4321, 2143,
2312).

%description -l pl.UTF-8
nXML jest biblioteką języka C obsługującą parsowanie, zapisywanie i tworzenie
plików i strumieni XML 1.0 i 1.1. Wspiera utf-8, utf-16be i utf-16le, ucs-4
(1234, 4321, 2143, 2312).

%package devel
Summary:	Header files for nXML library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki nXML
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for nXML library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki nXML.

%package static
Summary:	Static nXML library
Summary(pl.UTF-8):	Statyczna biblioteka nXML
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static nXML library.

%description static -l pl.UTF-8
Statyczna biblioteka nXML.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnxml.spec,v $
Revision 1.1  2008-02-05 01:29:25  piotrek
- initial 0.18.1

